From d3842aa2cadbd9e7682095e0069548a6d86488b3 Mon Sep 17 00:00:00 2001
From: Graham Denyer <graham.denyer@markit.com>
Date: Mon, 4 Apr 2016 12:21:44 +0100
Subject: [PATCH] Extended TVService and SetupTV to allow use of SQLite instead
 of SQL Server or MySQL

---
 .../Gentle.NET/Output/Release/Gentle.Common.xml    |  2596 ++++
 .../Release/Gentle.Framework.Tests.dll.config      |    11 +
 .../Output/Release/Gentle.Framework.Tests.xml      |  1076 ++
 .../Gentle.NET/Output/Release/Gentle.Framework.xml |  5215 +++++++
 .../Output/Release/Gentle.Provider.DB2.xml         |   101 +
 .../Output/Release/Gentle.Provider.Firebird.xml    |   202 +
 .../Output/Release/Gentle.Provider.Jet.xml         |   185 +
 .../Output/Release/Gentle.Provider.MySQL.xml       |   101 +
 .../Output/Release/Gentle.Provider.Oracle.xml      |   129 +
 .../Output/Release/Gentle.Provider.OracleODP.xml   |   138 +
 .../Output/Release/Gentle.Provider.PostgreSQL.xml  |   131 +
 .../Output/Release/Gentle.Provider.SQLServer.xml   |   206 +
 .../Output/Release/Gentle.Provider.SQLServerCE.xml |   167 +
 .../Output/Release/Gentle.Provider.SQLite.xml      |   126 +
 .../Output/Release/Gentle.Provider.Sybase.xml      |   123 +
 .../Output/Release/Gentle.Provider.SybaseASA.xml   |   128 +
 .../Output/Release/System.Data.SQLite.xml          | 15445 +++++++++++++++++++
 .../Source/Gentle.Common/Gentle.Common.xml         |  2596 ++++
 .../Gentle.Framework.Tests.csproj                  |     3 +-
 .../Gentle.Framework.Tests.xml                     |  1076 ++
 .../Source/Gentle.Framework.Tests/PostBuild.bat    |    19 +-
 .../Source/Gentle.Framework.Tests/app.config       |    11 +
 .../Source/Gentle.Framework/Gentle.Framework.xml   |  5215 +++++++
 .../Gentle.Provider.DB2/Gentle.Provider.DB2.xml    |   101 +
 .../Gentle.Provider.Firebird.xml                   |   202 +
 .../Gentle.Provider.Jet/Gentle.Provider.Jet.xml    |   185 +
 .../Gentle.Provider.MySQL.xml                      |   101 +
 .../Gentle.Provider.Oracle.xml                     |   129 +
 .../Gentle.Provider.OracleODP.xml                  |   138 +
 .../Gentle.Provider.PostgreSQL.xml                 |   131 +
 .../Gentle.Provider.SQLServer.xml                  |   206 +
 .../Gentle.Provider.SQLServerCE.xml                |   167 +
 .../Gentle.Provider.SQLite.csproj                  |    20 +-
 .../Gentle.Provider.SQLite.xml                     |   126 +
 .../Source/Gentle.Provider.SQLite/app.config       |    35 +
 .../lib/System.Data.SQLite.DLL                     |   Bin 629760 -> 0 bytes
 .../Source/Gentle.Provider.SQLite/packages.config  |     6 +
 .../Gentle.Provider.Sybase.xml                     |   123 +
 .../Gentle.Provider.SybaseASA.xml                  |   128 +
 Common-MP-TVE3/Gentle.config                       |     2 +-
 .../SetupTv/39_upgrade_sqlite_database.sql         |     6 +
 .../SetupTv/40_upgrade_sqlite_database.sql         |     6 +
 .../SetupTv/41_upgrade_sqlite_database.sql         |     7 +
 .../SetupTv/42_upgrade_sqlite_database.sql         |     7 +
 .../SetupTv/43_upgrade_sqlite_database.sql         |     6 +
 .../SetupTv/44_upgrade_sqlite_database.sql         |     8 +
 .../SetupTv/45_upgrade_sqlite_database.sql         |    20 +
 .../SetupTv/46_upgrade_sqlite_database.sql         |     6 +
 .../SetupTv/47_upgrade_sqlite_database.sql         |    13 +
 .../SetupTv/48_upgrade_sqlite_database.sql         |     6 +
 .../SetupTv/49_upgrade_sqlite_database.sql         |    54 +
 .../SetupTv/50_upgrade_sqlite_database.sql         |     8 +
 .../SetupTv/51_upgrade_sqlite_database.sql         |     6 +
 .../SetupTv/52_upgrade_sqllite_database.sql        |    10 +
 .../SetupTv/53_upgrade_sqlite_database.sql         |    82 +
 .../SetupTv/54_upgrade_sqlite_database.sql         |     6 +
 .../SetupTv/55_upgrade_sqlite_database.sql         |    11 +
 .../SetupTv/56_upgrade_sqlite_database.sql         |    36 +
 .../SetupTv/57_upgrade_sqlite_database.sql         |    25 +
 .../SetupTv/58_upgrade_sqlite_database.sql         |    10 +
 .../SetupTv/59_upgrade_sqlite_database.sql         |    31 +
 .../SetupTv/60_upgrade_sqlite_database.sql         |     6 +
 .../SetupTv/61_upgrade_sqlite_database.sql         |    20 +
 TvEngine3/TVLibrary/SetupTv/App.config             |     9 +-
 .../SetupTv/Properties/Resources.Designer.cs       |    12 +-
 .../TVLibrary/SetupTv/Properties/Resources.resx    |     9 +-
 .../SetupTv/Resources/sqlite370_banner.gif         |   Bin 0 -> 5452 bytes
 .../SetupTv/SetupDatabaseForm.Designer.cs          |   117 +-
 TvEngine3/TVLibrary/SetupTv/SetupDatabaseForm.cs   |   254 +-
 TvEngine3/TVLibrary/SetupTv/SetupDatabaseForm.resx |     4 +-
 TvEngine3/TVLibrary/SetupTv/SetupTv.csproj         |    37 +-
 TvEngine3/TVLibrary/SetupTv/Startup.cs             |    15 +-
 .../TVLibrary/SetupTv/create_sqlite_database.sql   |   357 +
 .../TVLibrary/SetupTv/delete_sqlite_database.sql   |     1 +
 .../TVDatabase/references/Gentle.Common.dll        |   Bin 69632 -> 65536 bytes
 .../TVDatabase/references/Gentle.Framework.dll     |   Bin 131072 -> 126976 bytes
 .../references/Gentle.Provider.Firebird.dll        |   Bin 40960 -> 40960 bytes
 .../references/Gentle.Provider.MySQL.dll           |   Bin 24576 -> 24576 bytes
 .../references/Gentle.Provider.SQLServer.dll       |   Bin 40960 -> 40960 bytes
 TvEngine3/TVLibrary/TvService/App.config           |     5 +-
 TvEngine3/TVLibrary/TvService/TvService.csproj     |    11 +-
 81 files changed, 37928 insertions(+), 93 deletions(-)
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Output/Release/Gentle.Common.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Output/Release/Gentle.Framework.Tests.dll.config
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Output/Release/Gentle.Framework.Tests.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Output/Release/Gentle.Framework.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Output/Release/Gentle.Provider.DB2.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Output/Release/Gentle.Provider.Firebird.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Output/Release/Gentle.Provider.Jet.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Output/Release/Gentle.Provider.MySQL.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Output/Release/Gentle.Provider.Oracle.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Output/Release/Gentle.Provider.OracleODP.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Output/Release/Gentle.Provider.PostgreSQL.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Output/Release/Gentle.Provider.SQLServer.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Output/Release/Gentle.Provider.SQLServerCE.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Output/Release/Gentle.Provider.SQLite.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Output/Release/Gentle.Provider.Sybase.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Output/Release/Gentle.Provider.SybaseASA.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Output/Release/System.Data.SQLite.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Common/Gentle.Common.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Framework.Tests/Gentle.Framework.Tests.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Framework.Tests/app.config
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Framework/Gentle.Framework.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.DB2/Gentle.Provider.DB2.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.Firebird/Gentle.Provider.Firebird.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.Jet/Gentle.Provider.Jet.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.MySQL/Gentle.Provider.MySQL.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.Oracle/Gentle.Provider.Oracle.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.OracleODP/Gentle.Provider.OracleODP.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.PostgreSQL/Gentle.Provider.PostgreSQL.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.SQLServer/Gentle.Provider.SQLServer.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.SQLServerCE/Gentle.Provider.SQLServerCE.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.SQLite/Gentle.Provider.SQLite.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.SQLite/app.config
 delete mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.SQLite/lib/System.Data.SQLite.DLL
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.SQLite/packages.config
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.Sybase/Gentle.Provider.Sybase.xml
 create mode 100644 Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.SybaseASA/Gentle.Provider.SybaseASA.xml
 create mode 100644 TvEngine3/TVLibrary/SetupTv/39_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/40_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/41_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/42_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/43_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/44_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/45_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/46_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/47_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/48_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/49_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/50_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/51_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/52_upgrade_sqllite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/53_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/54_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/55_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/56_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/57_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/58_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/59_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/60_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/61_upgrade_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/Resources/sqlite370_banner.gif
 create mode 100644 TvEngine3/TVLibrary/SetupTv/create_sqlite_database.sql
 create mode 100644 TvEngine3/TVLibrary/SetupTv/delete_sqlite_database.sql

diff --git a/Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Framework.Tests/Gentle.Framework.Tests.csproj b/Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Framework.Tests/Gentle.Framework.Tests.csproj
index 61af972..0aab85c 100644
--- a/Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Framework.Tests/Gentle.Framework.Tests.csproj
+++ b/Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Framework.Tests/Gentle.Framework.Tests.csproj
@@ -325,6 +325,7 @@
     <Content Include="Database Scripts\Sybase.sql" />
     <Content Include="lib\nunit.framework.dll" />
     <Content Include="lib\Rhino.Mocks.dll" />
+    <None Include="app.config" />
     <None Include="Database Files\Gentle_MSAccess.mdb" />
     <None Include="Database Files\Gentle_SQLite2.db" />
     <None Include="Database Files\Gentle_SQLite3.db" />
@@ -334,6 +335,6 @@
   <PropertyGroup>
     <PreBuildEvent>
     </PreBuildEvent>
-    <PostBuildEvent>$(ProjectDir)Postbuild.bat $(ConfigurationName) $(ProjectDir)$(OutDir) $(SolutionDir)..\..\..\..\TvEngine3\TVLibrary\TVDatabase\references</PostBuildEvent>
+    <PostBuildEvent>"$(ProjectDir)Postbuild.bat" $(ConfigurationName) "$(ProjectDir)$(OutDir)" "$(SolutionDir)..\..\..\..\TvEngine3\TVLibrary\TVDatabase\references"</PostBuildEvent>
   </PropertyGroup>
 </Project>
\ No newline at end of file
diff --git a/Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Framework.Tests/PostBuild.bat b/Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Framework.Tests/PostBuild.bat
index 58d5428..a5afe0c 100644
--- a/Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Framework.Tests/PostBuild.bat
+++ b/Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Framework.Tests/PostBuild.bat
@@ -4,9 +4,20 @@ REM %3 = Target directory
 
 if "%1" == "Debug" GOTO :Skip
 
-xcopy /Y "%2Gentle.Common.dll" "%3"
-xcopy /Y "%2Gentle.Framework.dll" "%3"
-xcopy /Y "%2Gentle.Provider.MySQL.dll" "%3"
-xcopy /Y "%2Gentle.Provider.SQLServer.dll" "%3"
+xcopy /Y "%~2Gentle.Common.dll" "%~3"
+xcopy /Y "%~2Gentle.Framework.dll" "%~3"
+xcopy /Y "%~2Gentle.Provider.MySQL.dll" "%~3"
+xcopy /Y "%~2MySQL.Data.dll" "%~3"
+xcopy /Y "%~2Gentle.Provider.SQLServer.dll" "%~3"
+
+xcopy /Y "%~2Gentle.Provider.SQLite.dll" "%~3"
+xcopy /Y "%~2System.Data.SQLite.dll" "%~3"
+xcopy /Y "%~2..\..\Source\Gentle.Provider.SQLite\bin\Release\x86\SQLite.Interop.dll" "%~3\x86\"
+xcopy /Y "%~2..\..\Source\Gentle.Provider.SQLite\bin\Release\x64\SQLite.Interop.dll" "%~3\x64\"
+
+xcopy /Y "%~2Gentle.Provider.Firebird.dll" "%~3"
+xcopy /Y "%~2FirebirdSql.Data.FirebirdClient.dll" "%~3"
+
+xcopy /Y "%~2log4net.dll" "%~3"
 
 :Skip
diff --git a/Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.SQLite/Gentle.Provider.SQLite.csproj b/Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.SQLite/Gentle.Provider.SQLite.csproj
index 58a5951..3c58de5 100644
--- a/Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.SQLite/Gentle.Provider.SQLite.csproj
+++ b/Common-MP-TVE3/External/Gentle.NET/Source/Gentle.Provider.SQLite/Gentle.Provider.SQLite.csproj
@@ -29,6 +29,9 @@
     <OldToolsVersion>3.5</OldToolsVersion>
     <SignAssembly>true</SignAssembly>
     <TargetFrameworkVersion>v2.0</TargetFrameworkVersion>
+    <NuGetPackageImportStamp>
+    </NuGetPackageImportStamp>
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
     <OutputPath>bin\Debug\</OutputPath>
@@ -79,7 +82,10 @@
     <Reference Include="System.Data">
       <Name>System.Data</Name>
     </Reference>
-    <Reference Include="System.Data.SQLite, Version=1.0.48.0, Culture=neutral, PublicKeyToken=db937bc2d44ff139, processorArchitecture=x86" />
+    <Reference Include="System.Data.SQLite, Version=1.0.99.0, Culture=neutral, PublicKeyToken=db937bc2d44ff139, processorArchitecture=MSIL">
+      <HintPath>..\..\..\..\..\Packages\System.Data.SQLite.Core.1.0.99.0\lib\net20\System.Data.SQLite.dll</HintPath>
+      <Private>True</Private>
+    </Reference>
     <Reference Include="System.Xml">
       <Name>System.XML</Name>
     </Reference>
@@ -114,10 +120,13 @@
     <Compile Include="SQLiteProvider.cs">
       <SubType>Code</SubType>
     </Compile>
-    <Content Include="lib\System.Data.SQLite.DLL" />
   </ItemGroup>
   <ItemGroup>
+    <None Include="app.config" />
     <None Include="Gentle.snk" />
+    <None Include="packages.config">
+      <SubType>Designer</SubType>
+    </None>
   </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
   <PropertyGroup>
@@ -126,4 +135,11 @@
     <PostBuildEvent>
     </PostBuildEvent>
   </PropertyGroup>
+  <Import Project="..\..\..\..\..\Packages\System.Data.SQLite.Core.1.0.99.0\build\net20\System.Data.SQLite.Core.targets" Condition="Exists('..\..\..\..\..\Packages\System.Data.SQLite.Core.1.0.99.0\build\net20\System.Data.SQLite.Core.targets')" />
+  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
+    <PropertyGroup>
+      <ErrorText>This project references NuGet package(s) that are missing on this computer. Use NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
+    </PropertyGroup>
+    <Error Condition="!Exists('..\..\..\..\..\Packages\System.Data.SQLite.Core.1.0.99.0\build\net20\System.Data.SQLite.Core.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\..\..\..\..\Packages\System.Data.SQLite.Core.1.0.99.0\build\net20\System.Data.SQLite.Core.targets'))" />
+  </Target>
 </Project>
\ No newline at end of file
diff --git a/TvEngine3/TVLibrary/SetupTv/39_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/39_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..7828c50
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/39_upgrade_sqlite_database.sql
@@ -0,0 +1,6 @@
+﻿
+ALTER TABLE Card ADD preload bit NOT NULL DEFAULT 0;
+--GO
+
+UPDATE Version SET versionNumber=39;
+--GO
diff --git a/TvEngine3/TVLibrary/SetupTv/40_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/40_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..2b642de
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/40_upgrade_sqlite_database.sql
@@ -0,0 +1,6 @@
+﻿
+ALTER TABLE Card ADD CAM bit NOT NULL DEFAULT 0;
+--GO
+
+UPDATE Version SET versionNumber=40;
+--GO
\ No newline at end of file
diff --git a/TvEngine3/TVLibrary/SetupTv/41_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/41_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..2026f57
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/41_upgrade_sqlite_database.sql
@@ -0,0 +1,7 @@
+﻿
+ALTER TABLE TuningDetail ADD audioSource INTEGER NOT NULL DEFAULT 1;
+--GO
+
+UPDATE Version SET versionNumber=41;
+--GO
+
diff --git a/TvEngine3/TVLibrary/SetupTv/42_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/42_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..4a83137
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/42_upgrade_sqlite_database.sql
@@ -0,0 +1,7 @@
+
+ALTER TABLE TuningDetail ADD isVCRSignal bit NOT NULL DEFAULT 0;
+--GO
+
+UPDATE Version SET versionNumber=42;
+--GO
+
diff --git a/TvEngine3/TVLibrary/SetupTv/43_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/43_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..06f5f69
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/43_upgrade_sqlite_database.sql
@@ -0,0 +1,6 @@
+﻿
+ALTER TABLE Schedule ADD series bit NOT NULL DEFAULT 0;
+--GO
+
+UPDATE Version SET versionNumber=43;
+--GO
diff --git a/TvEngine3/TVLibrary/SetupTv/44_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/44_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..6290a4c
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/44_upgrade_sqlite_database.sql
@@ -0,0 +1,8 @@
+﻿ALTER TABLE Program ADD episodeName varchar(8000) COLLATE NOCASE NOT NULL DEFAULT '';
+--GO
+
+ALTER TABLE Program ADD episodePart varchar(8000) COLLATE NOCASE NOT NULL DEFAULT '';
+--GO
+
+UPDATE Version SET versionNumber=44;
+--GO
diff --git a/TvEngine3/TVLibrary/SetupTv/45_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/45_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..87fba86
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/45_upgrade_sqlite_database.sql
@@ -0,0 +1,20 @@
+﻿
+-- Have to copy data into temp table in SQLite
+ALTER TABLE Recording RENAME TO sqlitestudio_temp_table;
+
+CREATE TABLE Recording (idRecording INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, idChannel INTEGER NOT NULL, startTime datetime NOT NULL, endTime datetime NOT NULL, title varchar (2000) COLLATE NOCASE NOT NULL, description varchar (8000) COLLATE NOCASE NOT NULL, genre varchar (200) COLLATE NOCASE NOT NULL, fileName varchar (260) COLLATE NOCASE NOT NULL, keepUntil INTEGER NOT NULL, keepUntilDate datetime NOT NULL, timesWatched INTEGER NOT NULL, idServer INTEGER NOT NULL, stopTime INTEGER NOT NULL);
+
+INSERT INTO Recording (idRecording, idChannel, startTime, endTime, title, description, genre, fileName, keepUntil, keepUntilDate, timesWatched, idServer, stopTime) SELECT idRecording, idChannel, startTime, endTime, title, description, genre, fileName, keepUntil, keepUntilDate, timesWatched, idServer, stopTime FROM sqlitestudio_temp_table;
+
+DROP TABLE sqlitestudio_temp_table;
+--GO
+
+
+CREATE INDEX IDX_Recording_Filename ON Recording(fileName);
+--GO
+
+CREATE INDEX IDX_Program_Notify ON Program(notify);
+--GO
+
+UPDATE Version SET versionNumber=45;
+--GO
diff --git a/TvEngine3/TVLibrary/SetupTv/46_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/46_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..1facdc3
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/46_upgrade_sqlite_database.sql
@@ -0,0 +1,6 @@
+﻿
+ALTER TABLE Recording ADD episodeName varchar(8000) COLLATE NOCASE NOT NULL DEFAULT '';
+--GO
+
+UPDATE Version SET versionNumber=46;
+--GO
diff --git a/TvEngine3/TVLibrary/SetupTv/47_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/47_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..6da2eee
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/47_upgrade_sqlite_database.sql
@@ -0,0 +1,13 @@
+
+ALTER TABLE Recording ADD seriesNum varchar(200) COLLATE NOCASE NOT NULL DEFAULT '';
+--GO
+
+ALTER TABLE Recording ADD episodeNum varchar(200) COLLATE NOCASE NOT NULL DEFAULT '';
+--GO
+
+ALTER TABLE Recording ADD episodePart varchar(8000) COLLATE NOCASE NOT NULL DEFAULT '';
+--GO
+  
+UPDATE Version SET versionNumber=47;
+--GO
+
diff --git a/TvEngine3/TVLibrary/SetupTv/48_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/48_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..2eccab1
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/48_upgrade_sqlite_database.sql
@@ -0,0 +1,6 @@
+
+ALTER TABLE Server ADD rtspPort INTEGER NOT NULL DEFAULT 554;
+--GO
+
+UPDATE Version SET versionNumber=48;
+--GO
diff --git a/TvEngine3/TVLibrary/SetupTv/49_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/49_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..0391226
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/49_upgrade_sqlite_database.sql
@@ -0,0 +1,54 @@
+
+ALTER TABLE Recording ADD isRecording BIT NOT NULL DEFAULT 0;
+--GO
+
+ALTER TABLE Recording ADD idSchedule INTEGER NOT NULL DEFAULT 0;
+--GO
+
+DROP INDEX IDX_Program_Notify;
+--GO
+
+DROP INDEX IX_Program_EPG_Lookup;
+--GO
+
+ALTER TABLE Program ADD state INTEGER NOT NULL DEFAULT 0;
+--GO
+
+UPDATE Program SET state=1 WHERE notify=1;
+--GO
+
+-- Drop column "notify"
+ALTER TABLE Program RENAME TO sqlitestudio_temp_table;
+
+CREATE TABLE Program (idProgram INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, idChannel INTEGER NOT NULL, 
+startTime datetime NOT NULL, endTime datetime NOT NULL, title varchar (8000) COLLATE NOCASE NOT NULL, 
+description varchar (8000) COLLATE NOCASE NOT NULL, seriesNum varchar (200) COLLATE NOCASE NOT NULL, 
+episodeNum varchar (200) COLLATE NOCASE NOT NULL, genre varchar (200) COLLATE NOCASE NOT NULL, 
+originalAirDate datetime NOT NULL, classification varchar (200) COLLATE NOCASE NOT NULL, 
+starRating INTEGER NOT NULL, parentalRating INTEGER NOT NULL, 
+episodeName varchar (8000) COLLATE NOCASE NOT NULL DEFAULT '', 
+episodePart varchar (8000) COLLATE NOCASE NOT NULL DEFAULT '', state INT NOT NULL DEFAULT 0);
+
+INSERT INTO Program (idProgram, idChannel, startTime, endTime, title, description, seriesNum, episodeNum, genre, originalAirDate, classification, starRating, parentalRating, episodeName, episodePart, state) 
+SELECT idProgram, idChannel, startTime, endTime, title, description, seriesNum, episodeNum, genre, originalAirDate, classification, starRating, parentalRating, episodeName, episodePart, state FROM sqlitestudio_temp_table;
+
+DROP TABLE sqlitestudio_temp_table;
+--GO
+
+ALTER TABLE Schedule ADD idParentSchedule INTEGER NOT NULL DEFAULT 0;
+--GO
+
+CREATE INDEX IX_Program_EPG_Lookup ON Program 
+(
+	idChannel ASC,
+	startTime ASC,
+	endTime ASC
+);
+--GO
+
+CREATE INDEX IDX_Program_State ON Program(state);
+--GO
+
+UPDATE Version SET versionNumber=49;
+--GO
+
diff --git a/TvEngine3/TVLibrary/SetupTv/50_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/50_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..6d92da2
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/50_upgrade_sqlite_database.sql
@@ -0,0 +1,8 @@
+
+ALTER TABLE Card ADD NetProvider tinyint NOT NULL DEFAULT 0;
+--GO
+
+UPDATE Version SET versionNumber=50;
+--GO
+
+
diff --git a/TvEngine3/TVLibrary/SetupTv/51_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/51_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..f1f6a2b
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/51_upgrade_sqlite_database.sql
@@ -0,0 +1,6 @@
+ALTER TABLE CanceledSchedule ADD idChannel INTEGER NOT NULL DEFAULT 0;
+--GO
+
+UPDATE Version SET versionNumber=51;
+--GO
+
diff --git a/TvEngine3/TVLibrary/SetupTv/52_upgrade_sqllite_database.sql b/TvEngine3/TVLibrary/SetupTv/52_upgrade_sqllite_database.sql
new file mode 100644
index 0000000..18fbe5a
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/52_upgrade_sqllite_database.sql
@@ -0,0 +1,10 @@
+
+DELETE FROM ChannelLinkageMap;
+--GO
+
+ALTER TABLE ChannelLinkageMap ADD displayName varchar(200) COLLATE NOCASE NOT NULL;
+--GO
+
+UPDATE Version SET versionNumber=52;
+--GO
+
diff --git a/TvEngine3/TVLibrary/SetupTv/53_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/53_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..30195e6
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/53_upgrade_sqlite_database.sql
@@ -0,0 +1,82 @@
+
+CREATE TABLE SoftwareEncoder(
+	idEncoder INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	priority INTEGER NOT NULL,
+	name varchar(200) COLLATE NOCASE NOT NULL,
+	type INTEGER NOT NULL
+);
+--GO
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (1,'InterVideo Video Encoder',0);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (2,'Ulead MPEG Encoder',0);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (3,'MainConcept MPEG Video Encoder',0);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (4,'MainConcept Demo MPEG Video Encoder',0);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (5,'CyberLink MPEG Video Encoder',0);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (6,'CyberLink MPEG Video Encoder(Twinhan)',0);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (7,'MainConcept (Hauppauge) MPEG Video Encoder',0);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (8,'nanocosmos MPEG Video Encoder',0);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (9,'Pinnacle MPEG 2 Encoder',0);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (10,'MainConcept (HCW) MPEG-2 Video Encoder',0);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (11,'ATI MPEG Video Encoder',0);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (1,'InterVideo Audio Encoder',1);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (2,'Ulead MPEG Audio Encoder',1);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (3,'MainConcept MPEG Audio Encoder',1);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (4,'MainConcept Demo MPEG Audio Encoder',1);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (5,'CyberLink Audio Encoder',1);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (6,'CyberLink Audio Encoder(Twinhan)',1);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (7,'Pinnacle MPEG Layer-2 Audio Encoder',1);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (8,'MainConcept (Hauppauge) MPEG Audio Encoder',1);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (9,'NVIDIA Audio Encoder',1);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (10,'MainConcept (HCW) Layer II Audio Encoder',1);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (11,'CyberLink MPEG Audio Encoder',1);
+
+INSERT INTO SoftwareEncoder (priority,name,type)
+     VALUES (12,'ATI MPEG Audio Encoder',1);
+--GO
+
+UPDATE Version SET versionNumber=53;
+--GO
+
diff --git a/TvEngine3/TVLibrary/SetupTv/54_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/54_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..cde5b5d
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/54_upgrade_sqlite_database.sql
@@ -0,0 +1,6 @@
+
+ALTER TABLE Card ADD stopgraph bit NOT NULL DEFAULT 1;
+--GO
+
+UPDATE Version SET versionNumber=54;
+--GO
diff --git a/TvEngine3/TVLibrary/SetupTv/55_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/55_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..6633d25
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/55_upgrade_sqlite_database.sql
@@ -0,0 +1,11 @@
+
+CREATE TABLE PendingDeletion (
+	idPendingDeletion INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,	
+	fileName varchar(200) COLLATE NOCASE NOT NULL	
+);
+--GO
+
+UPDATE Version SET versionNumber=55;
+--GO
+
+
diff --git a/TvEngine3/TVLibrary/SetupTv/56_upgrade_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/56_upgrade_sqlite_database.sql
new file mode 100644
index 0000000..146f20d
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/56_upgrade_sqlite_database.sql
@@ -0,0 +1,36 @@
+
+DROP INDEX IX_TuningDetail_idChannel;
+--GO
+
+CREATE INDEX IX_TuningDetail_idChannel ON TuningDetail
+(
+	idChannel ASC
+);
+--GO
+
+ALTER TABLE TuningDetail RENAME TO sqlitestudio_temp_table;
+
+-- Columns that are not required have been dropped
+CREATE TABLE TuningDetail (idTuning INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, idChannel INTEGER NOT NULL, 
+name varchar (200) COLLATE NOCASE NOT NULL, provider varchar (200) COLLATE NOCASE NOT NULL, 
+channelType INTEGER NOT NULL, channelNumber INTEGER NOT NULL, frequency INTEGER NOT NULL, 
+countryId INTEGER NOT NULL, isRadio bit NOT NULL, isTv bit NOT NULL, networkId INTEGER NOT NULL, 
+transportId INTEGER NOT NULL, serviceId INTEGER NOT NULL, pmtPid INTEGER NOT NULL, freeToAir bit NOT NULL, 
+modulation INTEGER NOT NULL, polarisation INTEGER NOT NULL, symbolrate INTEGER NOT NULL, 
+diseqc INTEGER NOT NULL, switchingFrequency INTEGER NOT NULL, bandwidth INTEGER NOT NULL, 
+majorChannel INTEGER NOT NULL, minorChannel INTEGER NOT NULL, videoSource INTEGER NOT NULL, 
+tuningSource INTEGER NOT NULL, band INTEGER NOT NULL, satIndex INTEGER NOT NULL, 
+innerFecRate INTEGER NOT NULL, pilot INTEGER NOT NULL, rollOff INTEGER NOT NULL, 
+url varchar (200) COLLATE NOCASE NOT NULL, bitrate INTEGER NOT NULL);
+
+INSERT INTO TuningDetail (idTuning, idChannel, name, provider, channelType, channelNumber, frequency, countryId, isRadio, isTv, networkId, transportId, serviceId, pmtPid, freeToAir, modulation, polarisation, symbolrate, diseqc, switchingFrequency, bandwidth, majorChannel, minorChannel, videoSource, tuningSource, band, satIndex, innerFecRate, pilot, rollOff, url, bitrate) 
+SELECT idTuning, idChannel, name, provider, channelType, channelNumber, frequency, countryId, isRadio, isTv, networkId, transportId, serviceId, pmtPid, freeToAir, modulation, polarisation, symbolrate, diseqc, switchingFrequency, bandwidth, majorChannel, minorChannel, videoSource, tuningSource, band, satIndex, innerFecRate, pilot, rollOff, url, bitrate FROM sqlitestudio_temp_table;
+
+DROP TABLE sqlitestudio_temp_table;
+--GO
+
+CREATE INDEX IX_TuningDetail_idChannel ON TuningDetail (idChannel ASC);
+--GO
+
+UPDATE Version SET versionNumber=56;
+--GO
